Page MenuHomePhabricator

[GlobalISel] Disable vector types in narrowScalarAddSub
ClosedPublic

Authored by porglezomp on Jan 29 2021, 2:26 PM.

Details

Summary

The implementation for vectors is broken and doesn't seem to be used by
anything. Explicitly remove support for them, they can be added again
later when they're properly implemented.

Diff Detail

Event Timeline

porglezomp created this revision.Jan 29 2021, 2:26 PM
porglezomp requested review of this revision.Jan 29 2021, 2:26 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 29 2021, 2:26 PM
arsenm added inline comments.Jan 29 2021, 5:52 PM
llvm/lib/CodeGen/GlobalISel/LegalizerHelper.cpp
4451–4454

Use a temporary variable for the register/type to avoid repeating this

Use a temporary variable for the destination register/type

porglezomp marked an inline comment as done.Jan 29 2021, 10:21 PM
aemerson accepted this revision.Feb 10 2021, 1:15 PM
This revision is now accepted and ready to land.Feb 10 2021, 1:15 PM
This revision was landed with ongoing or failed builds.Feb 14 2021, 3:07 PM
This revision was automatically updated to reflect the committed changes.